# Uses of Interface
com.sun.source.doctree.SeeTree

Packages that use SeeTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of SeeTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type SeeTree
Modifier and Type
Method
Description
`R`
DocTreeVisitor.`visitSee​(SeeTree node, P p)`
Visits a SeeTree node.

## Uses of SeeTree in com.sun.source.util

Methods in com.sun.source.util that return SeeTree
Modifier and Type
Method
Description
`SeeTree`
DocTreeFactory.`newSeeTree​(List<? extends DocTree> reference)`
Creates a new `SeeTree` object, to represent a `@see` tag.
Methods in com.sun.source.util with parameters of type SeeTree
Modifier and Type
Method
Description
`R`
DocTreeScanner.`visitSee​(SeeTree node, P p)`
Visits a SeeTree node.
`R`
SimpleDocTreeVisitor.`visitSee​(SeeTree node, P p)`
Visits a SeeTree node.